Check if a user is granted to an application.

Entitlements required: tenantadmin [Tenant Administrator], manageAppAccessOwner [Manage Application Entitlements], manageEntitlements [Manage Entitlements].

The API checks whether a user is granted the rights to access an application either directly or indirectly through the user’s group association and dynamic role association.

The user id and application id are needed to entered in the textbox provided under Path Params. The {tenant_url} can be replaced in the Base URL with the actual value. The entered values get reflected in the Request code. If the groups value is entered in the Body Params, then the API only checks the access rights provided to the user by the group for the specified application.

Path Params
string
required

The unique ID of the user. The user ID can be obtained from the UI detail user page.

string
required

The unique ID of the application. You can obtain the application ID from the UI Application detail page URL. For example, the application detail page: https://{hostname}/ui/admin/application/2402953990283373477?tab=general shows application unique ID as 2402953990283373477.

Body Params

The list of group that the user is associated with. It can also be a subset of the groups that the user is associated with.

groups
array of strings
groups
Responses
204

The user is granted to the application.

401

The user is not granted to the application.

500

Your request can't be processed because an internal server error occurred.

Language
URL
Response
Choose an example:
*/*